%% International Airgun Modelling Workshop: Validation of Source Signature and Sound Propagation Models  Dublin (Ireland), 16 July 2016 

% Verification of airgun sound field models for environmental impact assessment, Michael A. Ainslie, Michele B. Halvorsen, Ren P. A. Dekeling, Robert M. Laws, Alec J. Duncan, Adam S.
% Frankel, Kevin D. Heaney, Elizabeth T. Ksel, Alexander O. MacGillivray, Mark K. Prior, H. zkan Sertlek, and David G. Zeddies
% Proc. Mtgs. Acoust. 27, 070018 (2016); doi: 10.1121/2.0000339

% This routine reads and plots the calculated signatures for International Airgun Modelling Workshop 2016. 
% The signature files was saved in International Airgun Modelling Workshop format

% HO Sertlek 27/03/2018

%% Source 1
S1=load('S1\AgoraNotionalS1G1Sertlek20160627121902.txt');    
figure(1)
plot(S1(:,1),S1(:,2)/1000,'Linewidth',2)
xlabel('Time (s)'); ylabel('Notional Signature (kPa.m)');
grid on
legend('gun1')
%% Source 2
N_gun=6
for gun_id=1:N_gun
    S2(:,:,gun_id)=load(['S2\AgoraNotionalS2G' num2str(gun_id) 'Sertlek20160627121701.txt']);
    figure(2)
    hold on
    plot(S2(:,1,gun_id),S2(:,2,gun_id)/1000,'Linewidth',2)
end
grid on
legend('gun1', 'gun2','gun3','gun4','gun5','gun6')
xlabel('Time (s)'); ylabel('Notional Signature (kPa.m)');

%% Source 3
N_gun=17   
for gun_id=1:N_gun
if gun_id<9
    S3(:,:,gun_id)=load(['S3\AgoraNotionalS3G' num2str(gun_id) 'Sertlek20160627123819.txt']);
else
    S3(:,:,gun_id)=load(['S3\AgoraNotionalS3G' num2str(gun_id) 'Sertlek20160627123820.txt']);
end
    figure(3)
    hold on
    plot(S3(:,1,gun_id),S3(:,2,gun_id)/1000,'Linewidth',2)
end
grid on
legend('gun1', 'gun2','gun3','gun4','gun5','gun6','gun7', 'gun8','gun9','gun10','gun11','gun12','gun13','gun14','gun15','gun16','gun17')
xlabel('Time (s)'); ylabel('Notional Signature (kPa.m)');
